# Class ManagerSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.ManagerSF

All Implemented Interfaces:
  `IStoreFactory`

public class ManagerSF extends StoreFactoryBase
Store server.xml Manager element

## Field Summary

### Fields inherited from class StoreFactoryBase

`sm`

## Constructor Summary

Constructors
Constructor
Description
`ManagerSF()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isDefaultManager(StandardManager smanager)`
Is this an instance of the default `Manager` configuration, with all-default properties?
`void`
`store(PrintWriter aWriter, int indent, Object aElement)`
Store a server.xml element with attributes and children.
`void`
`storeChildren(PrintWriter aWriter, int indent, Object aManager, StoreDescription parentDesc)`
Must Implement at subclass for custom store children handling.

### Methods inherited from class StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ManagerSF

public ManagerSF()
Default constructor.

## Method Details

### store

public void store(PrintWriter aWriter, int indent, Object aElement) throws Exception
Description copied from interface: `IStoreFactory`
Store a server.xml element with attributes and children.

Specified by:
  `store` in interface `IStoreFactory`
Overrides:
  `store` in class `StoreFactoryBase`
Parameters:
  `aWriter` - the writer to write to
  `indent` - the indentation
  `aElement` - the element to write
Throws:
  `Exception` - if an error occurs

### isDefaultManager

protected boolean isDefaultManager(StandardManager smanager)
Is this an instance of the default `Manager` configuration, with all-default properties?

Parameters:
  `smanager` - Manager to be tested
Returns:
  `true` if this is an instance of the default manager

### storeChildren

public void storeChildren(PrintWriter aWriter, int indent, Object aManager, StoreDescription parentDesc) throws Exception
Description copied from class: `StoreFactoryBase`
Must Implement at subclass for custom store children handling.

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - Current output writer
  `indent` - Indentation level
  `aManager` - Current element
  `parentDesc` - The element description
Throws:
  `Exception` - Configuration storing error